; Example of the SETHIGHTLIGHT on a wrapped field problem
; Oct 26,1994
; Mike Wendling
;
;   The problem appears on a Form that has a wrapped field while the
; SETHIGHLIGHT comand has been issued. The 'wrapped' field goes to black
; on black when the field is 'touched'.
;
; PROBLEM:
;   These commands seem to have a problem with Wrapped fields on a form
;      SETHIGHLIGHT CURRENT RECORD <color>
;      SETHIGHLIGHT CURRENT RECORD <color> FIELD OFF
;
;  This seem to work OK :
;      SETHIGHLIGHT CURRENT RECORD <color> FIELD <color>
;
;
;-------------------------------------
; This part should show NO problems !
; NO sethighlight command
;-------------------------------------
COEDIT "sethigh"
WINDOW MOVE GETWINDOW() TO 14,0
FORMKEY
ECHO NORMAL
WAIT TABLE
  PROMPT " F2=Quit"
  MESSAGE "Edit ALL fields then Press F2- NO Problems here"
UNTIL "F2"
FORMKEY


;---------------------------------
; Here is the problem
; SETHIGHLIGHT CURRENT RECORD 47
;---------------------------------
MESSAGE "Now I'm going to issue SETHIGHLIGHT CURRENT RECORD 47...press any key"
n=getchar()
SETHIGHLIGHT CURRENT RECORD 47  ; Any color Here - notice no FIELD selection
FORMKEY
WAIT TABLE
  PROMPT " F2=Quit"
  MESSAGE "Edit ALL fields then Press F2- Wrapped field has Problem"
UNTIL "F2"
FORMKEY


; -------------------------------------------
; Here is more of the same problem
; SETHIGHLIGHT CURRENT RECORD 3 FIELD OFF
; -------------------------------------------
MESSAGE "Now I'm going to issue SETHIGHLIGHT CURRENT RECORD 3 FIELD OFF...press any key"
n=getchar()
SETHIGHLIGHT CURRENT RECORD 3 FIELD OFF ; Again any color-notice FIELD OFF
FORMKEY
WAIT TABLE
  PROMPT " F2=Quit"
  MESSAGE "Edit ALL fields then Press F2- Wrapped field still has Problem"
UNTIL "F2"
FORMKEY

; --------------------------------
; This Works OK
; SETHIGHLIGHT CURRENT RECORD 112  FIELD 79
; --------------------------------
MESSAGE "Now I'm going to issue SETHIGHLIGHT CURRENT RECORD 112 FIELD 79...press any key"
n=getchar()
SETHIGHLIGHT CURRENT RECORD 112 FIELD 79 ; Notice FIELD <color>, THIS WORKS
FORMKEY
WAIT TABLE
  PROMPT " F2=Quit"
  MESSAGE "Edit ALL fields then Press F2- No problem here"
UNTIL "F2"
FORMKEY
DO_IT!

MESSAGE "END"
;====== END =============